Loading...
Searching...
No Matches
BALL::PyColorRGBAVector Class Reference
Python » Python extensions

`#include <BALL/PYTHON/EXTENSIONS/pyColorRGBAVector.h>`

Inheritance diagram for BALL::PyColorRGBAVector:

## Public Types

Type Definitions
typedef VIEW::ColorRGBA | ValueType
typedef VIEW::ColorRGBA * | PointerType
typedef std::vector< VIEW::ColorRGBA >::iterator | Iterator
typedef std::vector< VIEW::ColorRGBA >::const_iterator | ConstIterator

## Public Member Functions

Constructors and Destructors
| PyColorRGBAVector ()
| PyColorRGBAVector (const PyColorRGBAVector &c_vector)
| Copy constructor.
| PyColorRGBAVector (const std::vector< VIEW::ColorRGBA > &c_vector)
| Copy constructor.
virtual | ~PyColorRGBAVector () throw ()
| Destructor.

## Detailed Description

Equivalent for a STL::vector of ColorRGBA in Python

Definition at line 25 of file pyColorRGBAVector.h.

## Member Typedef Documentation

## ConstIterator

typedef std::vector<VIEW::ColorRGBA>::const_iterator BALL::PyColorRGBAVector::ConstIterator

Constant iterator type.

Definition at line 50 of file pyColorRGBAVector.h.

## Iterator

typedef std::vector<VIEW::ColorRGBA>::iterator BALL::PyColorRGBAVector::Iterator

Iterator type.

Definition at line 46 of file pyColorRGBAVector.h.

## PointerType

typedef VIEW::ColorRGBA* BALL::PyColorRGBAVector::PointerType

Pointer type

Definition at line 42 of file pyColorRGBAVector.h.

## ValueType

typedef VIEW::ColorRGBA BALL::PyColorRGBAVector::ValueType

ColorRGBA type

Definition at line 38 of file pyColorRGBAVector.h.

## Constructor & Destructor Documentation

## PyColorRGBAVector() [1/3]

BALL::PyColorRGBAVector::PyColorRGBAVector | ( |  | ) |

Default constructor.

## PyColorRGBAVector() [2/3]

BALL::PyColorRGBAVector::PyColorRGBAVector | ( | const PyColorRGBAVector & | c_vector | ) |

Copy constructor.

## PyColorRGBAVector() [3/3]

BALL::PyColorRGBAVector::PyColorRGBAVector | ( | const std::vector< VIEW::ColorRGBA > & | c_vector | ) |

Copy constructor.

## ~PyColorRGBAVector()

virtual BALL::PyColorRGBAVector::~PyColorRGBAVector | ( |  | ) |
throw | ( | ) |  |  |

virtual

Destructor.